🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Tropical Transit Daily

Get daily planet transits
POSThttps://json.astrologyapi.com/v1/tropical_transits/daily

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

house_typestringrequired

Default : placidus // koch/topocentric/poryphry/equal_house/whole_sign

curl --location 'https://json.astrologyapi.com/v1/tropical_transits/daily' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5,
    "house_type": "placidus"
}'
Try it

Runs with sample data — no API key needed

{
  "transit_date": "17-6-2017",
  "ascendant": "Leo",
  "transit_house": [
    {
      "planet": "Sun",
      "natal_sign": "Taurus",
      "transit_house": 11,
      "is_retrograde": false
    },
    {
      "planet": "Moon",
      "natal_sign": "Libra",
      "transit_house": 8,
      "is_retrograde": false
    },
    {
      "planet": "Mercury",
      "natal_sign": "Aries",
      "transit_house": 11,
      "is_retrograde": false
    },
    {
      "planet": "Venus",
      "natal_sign": "Aries",
      "transit_house": 10,
      "is_retrograde": false
    },
    {
      "planet": "Mars",
      "natal_sign": "Taurus",
      "transit_house": 12,
      "is_retrograde": false
    },
    {
      "planet": "Jupiter",
      "natal_sign": "Aries",
      "transit_house": 3,
      "is_retrograde": false
    },
    {
      "planet": "Saturn",
      "natal_sign": "Libra",
      "transit_house": 5,
      "is_retrograde": true
    },
    {
      "planet": "Uranus",
      "natal_sign": "Aries",
      "transit_house": 9,
      "is_retrograde": false
    },
    {
      "planet": "Neptune",
      "natal_sign": "Pisces",
      "transit_house": 8,
      "is_retrograde": true
    },
    {
      "planet": "Pluto",
      "natal_sign": "Capricorn",
      "transit_house": 6,
      "is_retrograde": true
    }
  ],
  "transit_relation": [
    {
      "transit_planet": "Sun",
      "natal_planet": "Jupiter",
      "type": "Sextile",
      "orb": 0.66
    },
    {
      "transit_planet": "Moon",
      "natal_planet": "Sun",
      "type": "Sextile",
      "orb": 0.43
    },
    {
      "transit_planet": "Saturn",
      "natal_planet": "Moon",
      "type": "Sextile",
      "orb": 0.48
    }
  ],
  "retrogrades": [],
  "moon_phase": null
}